import { UmbLitElement } from '../../../../core/lit-element/index.js';
import './column-layouts/name/language-table-name-column-layout.element.js';
export declare class UmbLanguageTableCollectionViewElement extends UmbLitElement {
    #private;
    private _tableConfig;
    private _tableColumns;
    private _tableItems;
    private _cultureNames;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbLanguageTableCollectionViewElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-language-table-collection-view': UmbLanguageTableCollectionViewElement;
    }
}
